## freezer-web-ui 7.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
python-freezerclient>=2.0.0 # Apache-2.0
oslo.log>=3.36.0  # Apache-2.0

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
horizon>=14.0.0.0b3 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
mock>=2.0.0 # BSD
ddt>=1.0.1 # MIT
testtools>=2.2.0 # MIT
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
freezer-web-ui (7.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #950022).

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 28 Jan 2020 14:32:26 +0100

=== debian/control ===
Source: freezer-web-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0),
 python3-freezerclient (>= 2.0.0),
 python3-mock,
 python3-oslo.config,
 python3-oslo.log,
 python3-testtools,
 python3-unittest2,
 subunit,
 testrepository,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/openstack-team/services/freezer-web-ui.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/freezer-web-ui
Homepage: https://github.com/openstack/freezer-web-ui

Package: python3-freezer-web-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0),
 python3-freezerclient (>= 2.0.0),
 python3-oslo.log,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Freezer - Dashboard plugin
 Freezer is a distributed backup restore and disaster recovery as a service
 platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused
 on providing efficiency and flexibility for block based backups, file based
 incremental backups, point-in-time actions, jobs synchronization (i.e.
 backup synchronization over multiple nodes) and many other features.
 It is aimed at being useful for all environments, including large
 ephemeral Clouds.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/disaster_recovery/enabled/_5050_freezer.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test -v 2 \
				--settings=disaster_recovery.tests.settings \
				--exclude-tag integration \
				disaster_recovery ;\
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/freezer-web-ui/freezer-web-ui-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## freezer-web-ui 8.0.0

=== debian/changelog ===
freezer-web-ui (8.0.0-2) unstable; urgency=medium

  * d/control:
    - Don't depend on openstack-dashboard version.
    - Bump Standards version to 4.5.0
    - Bump debhelper-compat to 11

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 03 Aug 2020 16:01:44 +0200

freezer-web-ui (8.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/control:
    - Fix requirements
    - Fix Vcs fields

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 03 Aug 2020 13:14:06 +0200

freezer-web-ui (7.2.0-2) unstable; urgency=medium

  * Rebuild source only.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 05 Mar 2020 16:07:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michal Arbet <michal.arbet@ultimum.io>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:16.0.0),
+ openstack-dashboard,
  python3-freezerclient (>= 2.0.0),
  python3-mock,
  python3-oslo.config,
@@ -23,15 +23,15 @@
  python3-unittest2,
  subunit,
  testrepository,
-Standards-Version: 4.1.5
-Vcs-Git: https://salsa.debian.org/openstack-team/services/freezer-web-ui.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/freezer-web-ui
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/freezer-web-ui.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/freezer-web-ui
 Homepage: https://github.com/openstack/freezer-web-ui
 
 Package: python3-freezer-web-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:16.0.0),
+ openstack-dashboard,
  python3-freezerclient (>= 2.0.0),
  python3-oslo.log,
  ${misc:Depends},

## freezer-web-ui 9.0.0

=== debian/changelog ===
freezer-web-ui (9.0.0-2) unstable; urgency=medium

  * Ship enable files in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Jun 2021 11:48:52 +0200

freezer-web-ui (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Removed python3-{mock,unittest2} from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2020 14:25:27 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,9 @@
 Build-Depends-Indep:
  openstack-dashboard,
  python3-freezerclient (>= 2.0.0),
- python3-mock,
  python3-oslo.config,
  python3-oslo.log,
  python3-testtools,
- python3-unittest2,
  subunit,
  testrepository,
 Standards-Version: 4.5.0
@@ -36,6 +34,8 @@
  python3-oslo.log,
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-django-horizon (<< 3:18.6.2-4~),
 Description: OpenStack Freezer - Dashboard plugin
  Freezer is a distributed backup restore and disaster recovery as a service
  platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/freezer-web-ui/tags .*/(\d[brc\d\.]+)\.tar\.gz

## freezer-web-ui 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 
 # OpenStack CI will install the following projects from git
 # if they are in the required-projects list for a job:
-horizon>=14.0.0.0b3 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
freezer-web-ui (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:31:46 +0200

freezer-web-ui (11.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:47:05 +0200

freezer-web-ui (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 17:29:38 +0200

freezer-web-ui (10.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:08:49 +0200

freezer-web-ui (10.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:35:57 +0200

freezer-web-ui (10.0.0-2) experimental; urgency=medium

  * Use /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled,
    not /etc/opesntack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 May 2021 13:26:30 +0200

freezer-web-ui (10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 19:11:46 +0200

freezer-web-ui (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-freezerclient (b-)d version, statisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 21:21:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,11 @@
 	done
 
 	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy
 
 	# Copy config enabled to openstack-dashboard enabled location
-	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/disaster_recovery/enabled/_5050_freezer.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/disaster_recovery/enabled/_5050_freezer.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
 	dh_install
 	dh_missing --fail-missing

## freezer-web-ui 12.0.0

=== debian/changelog ===
freezer-web-ui (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:20:55 +0200

freezer-web-ui (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:35:22 +0200

freezer-web-ui (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 18:52:35 +0100

## freezer-web-ui 13.0.0

=== debian/changelog ===
freezer-web-ui (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:39:29 +0200

freezer-web-ui (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:23:57 +0200

freezer-web-ui (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 09:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard,
- python3-freezerclient (>= 2.0.0),
+ openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ python3-freezerclient,
  python3-oslo.config,
  python3-oslo.log,
  python3-testtools,
@@ -29,13 +29,13 @@
 Package: python3-freezer-web-ui
 Architecture: all
 Depends:
- openstack-dashboard,
- python3-freezerclient (>= 2.0.0),
+ openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ python3-freezerclient,
  python3-oslo.log,
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python3-django-horizon (<< 3:18.6.2-4~),
+ python3-openstack-dashboard (<< 3:19.2.0-2~),
 Description: OpenStack Freezer - Dashboard plugin
  Freezer is a distributed backup restore and disaster recovery as a service
  platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused

## freezer-web-ui 14.0.0

=== debian/changelog ===
freezer-web-ui (14.0.0-3) unstable; urgency=medium

  * Cleans properly (Closes: #1045071).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 18:07:46 +0200

freezer-web-ui (14.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:18:17 +0200

freezer-web-ui (14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:10:06 +0100

freezer-web-ui (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions from (build-)depends when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 09:21:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 override_dh_clean:
 	dh_clean
 	rm -rf .coverage*
+	rm -rf build
 
 override_dh_auto_clean:
 	python3 setup.py clean

## freezer-web-ui 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
freezer-web-ui (15.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090413).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:04:21 +0100

freezer-web-ui (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:46:55 +0200

freezer-web-ui (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 16:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-freezerclient,
  python3-oslo.config,
  python3-oslo.log,
@@ -29,13 +29,11 @@
 Package: python3-freezer-web-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-freezerclient,
  python3-oslo.log,
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-openstack-dashboard (<< 3:19.2.0-2~),
 Description: OpenStack Freezer - Dashboard plugin
  Freezer is a distributed backup restore and disaster recovery as a service
  platform. It is designed to be multi OS (Linux, Windows, OSX, *BSD), focused

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_clean:
 	dh_clean
-	rm -rf .coverage*
+	rm -rf .coverage* *.egg-info
 	rm -rf build
 
 override_dh_auto_clean:
